Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://s-apis.oppigames.com/game/session \ --header 'Content-Type: <content-type>' \ --header 'x-api-key: <x-api-key>' \ --header 'x-signature: <x-signature>' \ --header 'x-timestamp: <x-timestamp>'
import requests url = "https://s-apis.oppigames.com/game/session" headers = { "x-api-key": "<x-api-key>", "x-signature": "<x-signature>", "x-timestamp": "<x-timestamp>", "Content-Type": "<content-type>" } response = requests.get(url, headers=headers) print(response.text)
const options = { method: 'GET', headers: { 'x-api-key': '<x-api-key>', 'x-signature': '<x-signature>', 'x-timestamp': '<x-timestamp>', 'Content-Type': '<content-type>' } }; fetch('https://s-apis.oppigames.com/game/session', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://s-apis.oppigames.com/game/session", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Content-Type: <content-type>", "x-api-key: <x-api-key>", "x-signature: <x-signature>", "x-timestamp: <x-timestamp>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
{ "status": "RS_OK", "data": { "totalPages": 1, "currentPage": 1, "totalCount": 41, "result": [ { "transactionId": "7f4ef777-7ad7-486a-8186-249e99ba715a", "sessionId": "d404f1da-26a6-44ff-8b0f-559915152be11742537289208", "playerId": "PAWAN_PAREEK1", "playerName": "PAWAN PAREEK", "betAmount": 50, "payout": 60, "isWin": true, "sessionStatus": 1, "gameId": "G1742465405970", "gameName": "Cricket Crash", "createdAt": "2025-03-21T11:02:46.615Z" } ] } }
{ "status": "RS_ERROR", "message": "Oops! Something went wrong. Please refresh the page or try again in a moment" }
This api is used for get game session based on Player sessionId.
application/json
Show Data properties
Show Result properties